# Selection Option Object

The Selection option object type used in selection controls.

<table><thead><tr><th width="128">Field</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>string</code></td><td><p>The label of the selection option. </p><p>Example: Adobe Reader</p></td></tr><tr><td>value</td><td><code>string</code></td><td><p>Provides a value if the option. </p><p>Example: ADOBE_READER</p></td></tr><tr><td>description</td><td><code>string</code></td><td><p>(optional) Provides help text describing what value. </p><p>Example: Adobe product</p></td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% code lineNumbers="true" %}

```json
{
  "name": "Adobe Reader",
  "value": "ADOBE_READER",
  "description": "Adobe product"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/parameter/selection-option-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
